package com.sifang.modules.smallprogram.stategrid.dto;

import java.io.Serializable;
import java.util.List;


/**
 * 小程序还款计划导入DTO
 */

public class StateGridHKInfoDTO implements Serializable {
        private String powerGenerationNo;  //发电户号
        private String areaCode;            //省码
        private String dudectType;            //还款类型
        private String repayPlanSum;            //还款总金额
        private String protocolStartTime;       //协议开始时间
        private String protocolEndTime;         //协议结束时间
        private String dueDate;                 //还款日

        private List<StateGridHKTypeDetailsDTO> detailList;   // 还款明细

        public List<StateGridHKTypeDetailsDTO> getDetailList() {
                return detailList;
        }

        public void setDetailList(List<StateGridHKTypeDetailsDTO> detailList) {
                this.detailList = detailList;
        }

        public String getPowerGenerationNo() {
                return powerGenerationNo;
        }

        public void setPowerGenerationNo(String powerGenerationNo) {
                this.powerGenerationNo = powerGenerationNo;
        }

        public String getAreaCode() {
                return areaCode;
        }

        public void setAreaCode(String areaCode) {
                this.areaCode = areaCode;
        }

        public String getDudectType() {
                return dudectType;
        }

        public void setDudectType(String dudectType) {
                this.dudectType = dudectType;
        }

        public String getRepayPlanSum() {
                return repayPlanSum;
        }

        public void setRepayPlanSum(String repayPlanSum) {
                this.repayPlanSum = repayPlanSum;
        }

        public String getProtocolStartTime() {
                return protocolStartTime;
        }

        public void setProtocolStartTime(String protocolStartTime) {
                this.protocolStartTime = protocolStartTime;
        }

        public String getProtocolEndTime() {
                return protocolEndTime;
        }

        public void setProtocolEndTime(String protocolEndTime) {
                this.protocolEndTime = protocolEndTime;
        }

        public String getDueDate() {
                return dueDate;
        }

        public void setDueDate(String dueDate) {
                this.dueDate = dueDate;
        }
}
